<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Вход на сайт</title>
</head>
<body>
  <h1>Регистрация приложения (application)</h1>
  
  <p>Основная цель приложения - получить OAuth-токен, чтобы от лица пользователя запращивать его ресурсу на серверах ресурсов.</p>
  <p>Основная цель сервера аутентификации удостовериться, что пользователь дал право получить access_token и выдать его приложению.</p>
  
  <p>Перейти на страницу <a href="https://t34.universo.pro/o/applications/register/">регистрация приложения</a></p>
  <h2>Указать имя</h2>
  <p>Имя нужно просто для того, чтобы отличать одно приложение от другого в списке приложений на сервере
    аутентификации. Имя вписать в поле <b>Name</b>.</p>
    
  <h2>Выбор типа клиента</h2>
  <p>Выбор типа клиента осуществляется в списке <b>Client type</b>. Если у клиента есть бекенд (серверная часть,
    недоступная браузеру), то выбрать тип <b>Confidential</b>, иначе (для SPA, PWA и мобильных приложений)
    выбрать тип <b>Public</b>.</p>

  <h2>Копирование УЗ клиента</h2>
  <p>Копирование УЗ, а именно значений полей <b>Client ID</b> и <b>Client secret</b> имеет смысл только при типе
  клиента <b>Confidential</b>. В случае типа <b>Public</b>, УЗ клиента может быть с большой вероятностью
  раскрыта пользователем. Значение <b>Client ID</b> может быть раскрыто кому угодно, но <b>Client secret</b>
  должно знать только приложение и его разработчики.</p>

  <h2>Указание типа приложения</h2>
  <p>Приложение может быть клиент-северное, одностраничное, мобильное или автономное.</p>
  <ul>
    <li>Authorization code - самый правильный вариант. У приложения есть защищённый бекенд.</li>
    <li>Implicit - неявный. Подходит для SPA, PWA и мобильных приложений</li>
    <li>Resource-owner password-based - приложение получает УЗ пользователя и работает как посредник. Так себе вариант.</li>
    <li>Client credentials - приложение запрашивает данные только от своего имени. Подходит для ботов.</li>
    <li>OpenID connect hybrid - разобраться</li>
  </ul>

  <h2>Указание обратного адреса приложения</h2>
  <p>Сервер аутентификации должен знать куда возвращать данные для указанного клиента. Зачем ему ещё раз указывать
    обратный URL?
  </p>

  <h2>Указание алгоритма</h2>
  <p>В данный момент просто оставить опцию No OIDC support. Разобраться что это.</p>
</body>
</html>